Package org.eclipse.birt.chart.script

# Class ScriptClassLoaderAdapter

java.lang.Object
org.eclipse.birt.chart.script.ScriptClassLoaderAdapter

All Implemented Interfaces:
  `IScriptClassLoader`

public class ScriptClassLoaderAdapter extends Object implements IScriptClassLoader
An adapter class for IScriptClassLoader. It first try to load class from current context, if fail, try to load by parent loader.

## Constructor Summary

Constructors
Constructor
Description
`ScriptClassLoaderAdapter()`
`ScriptClassLoaderAdapter(ClassLoader defaultLoader)`

## Method Summary

Modifier and Type
Method
Description
`Class<?>`
`loadClass(String className, ClassLoader parentLoader)`
Loads the class by given name.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ScriptClassLoaderAdapter

public ScriptClassLoaderAdapter(ClassLoader defaultLoader)

### ScriptClassLoaderAdapter

public ScriptClassLoaderAdapter()

## Method Details

### loadClass

public Class<?> loadClass(String className, ClassLoader parentLoader) throws ClassNotFoundException
Description copied from interface: `IScriptClassLoader`
Loads the class by given name.

Specified by:
  `loadClass` in interface `IScriptClassLoader`
Parameters:
  `className` - Class name.
  `parentLoader` - Parent loader.
Returns:
  Loaded class.
Throws:
  `ClassNotFoundException`